# TSPseudoSetTimeStep

Sets the user-defined routine to be called at each pseudo-timestep to update the timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSPseudoSetTimeStep(TS ts,PetscErrorCode (*dt)(TS,PetscReal*,void*),void* ctx)

Collective on TS

### Input Parameters

| ts | - timestep context
| dt | - function to compute timestep
| ctx | - [optional] user-defined context for private data required by the function (may be PETSC_NULL)

### Calling sequence of func

func (TS ts,PetscReal *newdt,void *ctx); -
newdt -the newly computed timestep
ctx -[optional] timestep context

### Notes

The routine set here will be called by TSPseudoComputeTimeStep() during the timestepping process.

### Keywords

timestep, pseudo, set

### See Also

TSPseudoDefaultTimeStep(), TSPseudoComputeTimeStep()

Level:intermediate
Location: src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html